/* 指定番目のファイル名を得る関数 */

#include <stdio.h>
#include "defines.h"

int getfname(argc,argv,no,skip)
int argc,no,skip[];
unchar *argv[];
{
unint i,c,count=0,j;
	/* "/"または"-"のついていないno番目のパラメーターが得たいファイルネームである */
	/* ただし、skip[]番のパラメーターはオプション扱いになるのでとばす */
	/* skip[]=0の前まで有効 */
	/* argv[0]は起動ファイル名だからこれは飛ばす */
	for (i=1;i<argc;i++) {
		c=argv[i][0]; /* １文字目 */
		if (c!='-' && c!='/') { /* '-''/'でない＝オプションでない */
			/* ファイル名の可能性有り */
			if (skip!=(int *)NULL) { /* skip指定がある時 */
				/* skip判定 */
				j=0;
				while (c=skip[j++],c!=0) { /* それはskip？ */
					if (i==c) goto NEXT; /* yes */
				}
				/* これはスキップ指定されていない */
			}
			if ((++count)==no) return(i); /* それの番号 */
		}
	    NEXT:;
	}
	return(0); /* なかったとき */
}
